{% extends "base.html" %}
{% load staticfiles %}
{% load i18n %}

{% block title %}{% trans 'WDMS | Licence' %}{% endblock %}

{% block head %}{% endblock %}

{% block content %}
<div style='text-align:center'>
	<div>
		<h2>{{ back.message }}</h2>
	</div>
{% if back.type == 'upk' %}

	{% if back.flag %}
	<b>
		<strong>You can download the file by clicking the button below!</strong>
	</b>
	<br><br>
	<div>
		<button><a href="{% url 'download_upk_file' %}">Download UPK</a></button>
	</div>
	<br><br>
	<div>
		<button><a href="{% url 'active_offline' %}">Upload License</a></button>
	</div>
	{% else %}
	<b>
		<strong>Please go back and retry by click the button below!</strong>
	</b>
	<br><br>
	<div>
		<button><a href="{% url 'create_upk_file' %}">Create UPK</a></button>
	</div>
	{% endif %}

{% elif back.type == 'offline' %}
	{% if back.flag %}
	<b><strong>Your license has been activated successfully</strong></b>
	<br>
	<b>You can see the info by clicking the button below!</b>
	<br><br>
	<br><br>
	<div>
		<button><a href="{% url 'license_home' %}">License Info</a></button>
	</div>
	{% else %}
	<b>
		<strong>Please go back and retry by click the button below!</strong>
	</b>
	<br><br>
	<div>
		<button><a href="{% url 'active_offline' %}">Upload License</a></button>
	</div>
	{% endif %}

{% else %}

	{% if back.flag %}
	<b><strong>Your license has been activated successfully</strong></b>
	<br>
	<b>You can see the info by clicking the button below!</b>
	<br><br>
	<div>
		<button><a href="{% url 'license_home' %}">License Info</a></button>
	</div>
	{% else %}
	<b>
		<strong>Please go back and retry by click the button below!</strong>
	</b>
	<br><br>
	<div>
		<button><a href="{% url 'active_online' %}">Online Active</a></button>
	</div>
	{% endif %}

{% endif %}
</div>
{% endblock%}